Preview: these APIs are still being designed and aren't available yet.
Skip to Content
UpskyDocs
API reference

Create a deployment

Builds and launches a new version of a site.

POST
/hosting/sites/{id}/deployments

Builds and launches a new version of a site.

Authorization

apiKey
headerAuthorizationBearer <token>

Path Parameters

id*string

Request Body

application/json
  1. body
source*

Response Body

The new deployment.

application/json
  1. response
id*string
site_id*string
status*string
Value in"queued""building""ready""failed"
url?|
Formaturi
Example Request
curl -X POST 'https://api.upsky.dev/v1/hosting/sites/string/deployments' \  -H 'Content-Type: application/json' \  -d '{  "source": {    "type": "git",    "ref": "main"  }}'
Example Response
{  "id": "string",  "site_id": "string",  "status": "queued",  "url": "http://example.com"}